Subject: Re: linux-next: mtd tree build failures (Was: Re: linux-next: Tree for December 16)

From: Artem Bityutskiy <[email-masked]>
Date: Wed, 17 Dec 2008 11:32:12 +0200

ext Stephen Rothwell wrote:
> On Tue, 16 Dec 2008 15:26:07 -0800 Andrew Morton <[email-masked]> wrote:
>> This MTD patch:
>>
>> commit 69423d99fc182a81f3c5db3eb5c140acc6fc64be
>> Author:     Adrian Hunter <[email-masked]>
>> AuthorDate: Wed Dec 10 13:37:21 2008 +0000
>> Commit:     David Woodhouse <[email-masked]>
>> CommitDate: Wed Dec 10 13:37:21 2008 +0000
>>
>>     [MTD] update internal API to support 64-bit device size
>>
>> broke the i386 build:
> 
> Also a few arm configs and the m68k allmodconfig.  I shall revert the mtd
> tree from linux-next today.

It would be nice if you sent the error messages. I do not have m68k
compilers, but I could fix the errors anyway, because it is just
about doing divisions with 'do_div()'.

-- 
Best Regards,
Artem Bityutskiy (Артём Битюцкий)